<template>
  <v-layout align-start justify-center row fill-height wrap>
    <v-flex>
      <v-btn block @click="setBack">
        <v-icon right dark>arrow_back</v-icon> Regresar
      </v-btn>

      <task-header v-bind:TaskDetail="getTaskDetail" />
      <hr />
      <v-item-group>
        <v-btn block color="#3DBCEB" @click.stop="dialog = true" v-if="getTaskDetail.congeladas.checked != true">Verificar</v-btn>
      </v-item-group>
      <v-divider></v-divider>
      <v-layout align="center" v-if="getTaskDetail.congeladas.checked == true">
        <v-flex>
          <br />
          <h3>La muestra <span style="color: cornflowerblue; text-decoration: underline">{{ getTaskDetail.congeladas.tipo_muestra }}</span> se encuetra asegurada</h3>
        </v-flex>

      </v-layout>



      <task-dialog @close-dialog="dialog = false" v-bind:dialog.sync="dialog" :cid="getTaskDetail.congeladas.id" />



    </v-flex>
  </v-layout>
</template>

<script>
  import {
    mapGetters
  } from 'vuex'
  import TaskHeader from '../../components/TaskHeaderCongeladas'
  import TaskDialog from '../../components/taskDialog/TaskDialogCongeladas'

    export default {
      name: "TaskCongeladas",
      data() {
        return {
          dialog: false
        }
      },
      components:{
        TaskHeader,
        TaskDialog
      },
      mounted() {
        let self = this;
        self.setTaskDetail(self.$route.params.id)
      },
      methods:{
        setTaskDetail(id) {
          this.$store.dispatch('setTaskCongeladasDetail', id).then((res) => {
            console.log(res);
          });
        },
        setBack() {
          this.$router.push('/dashboard');
        },
      },
      computed: {
        ...mapGetters([
          'getTaskDetail'
        ]),
      },
    }
</script>

<style scoped>

</style>
